zbackup(1)

NAME
zbackup - versatile deduplicating backup tool

SYNOPSIS
zbackup init [--non-encrypted] [--password-file ~/.my_backup_password ] /my/backup/repo

zbackup [--password-file ~/.my_backup_password ] [--threads number_of_threads ] backup /my/backup/repo/backups/backup-`date '+%Y-%m-%d'`

zbackup [--password-file ~/.my_backup_password [--cache-size cache_size_in_mb restore /my/backup/repo/backups/backup-`date '+%Y-%m-%d'` > /my/precious/backup-restored.tar

DESCRIPTION
zbackup init initializes a backup repository for the backup files to be stored.

zbackup backup backups a tar file generated by tar(1) c to the repository initialized using zbackup init

zbackup restore restores the backup file to a tar file.

OPTIONS

--non-encrypted
    Do not encrypt the backup repository.

--password-file ~/.my_backup_password
    Use the password file specified at ~/.my_backup_password to encrypt the repository and backup file, or to decrypt the backup file.

--threads number_of_threads
    Limit the partial LZMA compression to number_of_threads needed. Recommended for 32-bit architectures.

--cache-size cache_size_in_mb
    Use the cache size provided by cache_size_in_mb to speed up the restoration process.

FILES
~/.my_backup_password Used to encrypt the repository and backup file, or to decrypt the backup file. See zbackup(5) for further details.

/my/backup/repo The directory used to hold the backup repository.

/my/precious/restored-tar The tar used for restoring the backup.

/my/backup/repo/backups/backup-`date '+%Y-%m-%d'` Specifies the backup file.

AUTHOR
Howard Chan <smartboyhw at gmail dot com>

SEE ALSO
tar(1) zbackup(5)